帮酷LOGO
0 0 评论
  • 显示原文与译文双语对照的内容
文章标签:pyenv  Ubuntu  installing  Matplotlib  MAT  python-3  APT  

问题:

我正在使用 python 14.04和 2.7.6. 我已经为 python 2安装了 matplotlib。 现在,我使用 pyenv install 3.4.2 安装了 python 3.4.2. 然后我运行 pip install matplotlib 为 python 3安装 matplotlib。 我后来发现了 python3-matplotlib 14.04的软件包。 我想知道:我应该用 sudo apt-get install python3-matplotlib 相反,为 python 3 side-by-端安装 matplotlib的首选方法是使用 python 2 matplotlib


回答 1:

我现在没有Ubuntu系统。 但我还是可以帮你。

打开你的终端并键入


apt-cache search python3-matplotlib



如果你发现它是可用的,那么你可以从


sudo apt-get install python3-matplotlib



那是最好的方法。

如何将matplotlib与 python 3一起使用。 我还在这里发布了一个关于如何使用python2和python3的问题。

简单,使用python3-matplotlib执行程序时使用 python3 <filename.py>

同样,如果你使用 python2,那么它将加载 python 2.

希望有帮助


回答 2:

这是libgeos开发文件的一个问题。 我有同样的问题,通过安装这些库来解决。 希望有帮助。




文章标签:MAT  Ubuntu  installing  APT  python-3  Matplotlib  pyenv  

Copyright © 2011 HelpLib All rights reserved.    知识分享协议 京ICP备05059198号-3  |  如果智培  |  酷兔英语